Summary: Exam-Env Client Part
Name: exam-env-client
Version: 0.3.99.3
Release: 1
URL: https://git.inf2.tuwien.ac.at/inf2/priv/sw/exam-env-client
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Requires: bash-base >= 0.6.5
Requires: rsync
Requires: sudo
Requires: openssh-clients
Requires: ImageMagick
Requires: sshd-user-filter-helper
Requires: pixz
Requires: rclogind

%description
Contains scripts used on clients during exams while running the
exam-env. The env is installed by SUS level called
"exam-env-client".

Installing this package must not trigger anything, it just installs
files that might be used.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/{bin,sbin,libexec,share/{%{name},doc/%{name}-%{version}}}
mkdir -p %{buildroot}/%{_sysconfdir}/{polkit-1/rules.d,sshd-user-filter/{allowed.users.d,req.filtering.d}}
cp -a bin/* %{buildroot}/usr/bin/.
cp -a sbin/* %{buildroot}/usr/sbin/.
cp -a libexec/* %{buildroot}/usr/libexec/.
cp -a share/*  %{buildroot}/usr/share/%{name}/.
cp -a doc/* %{buildroot}/usr/share/doc/%{name}-%{version}/.
cp 48-exam-env-shutdown.rules %{buildroot}/etc/polkit-1/rules.d/.
mkdir -p %{buildroot}/etc/udev/rules.d
cp -a etc/90-usb-whitelist.rules %{buildroot}/etc/udev/rules.d/.
mkdir -p %{buildroot}/etc/default
cp -a etc/default_exam-env-client %{buildroot}/etc/default/exam-env-client
echo root > %{buildroot}/%{_sysconfdir}/sshd-user-filter/allowed.users.d/%{name}
touch %{buildroot}/%{_sysconfdir}/sshd-user-filter/req.filtering.d/%{name}

%post
systemctl restart polkit.service
udevadm control --reload
udevadm trigger
udevadm settle
sshd-user-filter-helper

%postun
if (( $1 == 0 ))
then
    echo "WARNING: uninstall of %{name} done, but left trash (reinstall won't work)" >&2
fi
sshd-user-filter-helper

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/*
%attr(750,root,root) /usr/sbin/*
%attr(755,root,root) /usr/sbin/exam-env-xsession-wrapper
%attr(750,root,root) /usr/libexec/*
%attr(750,root,root) /usr/share/%{name}/*
%attr(644,root,root) /etc/polkit-1/rules.d/48-exam-env-shutdown.rules
%attr(600,root,root) /etc/udev/rules.d/90-usb-whitelist.rules
%attr(644,root,root) %{_sysconfdir}/sshd-user-filter/*/*
%config %attr(644,root,root) %{_sysconfdir}/default/exam-env-client
%doc /usr/share/doc/%{name}-%{version}
